package org.nl.config;


import org.checkerframework.checker.units.qual.K;
import org.springframework.util.CollectionUtils;

import java.io.Serializable;
import java.util.HashMap;
import java.util.Iterator;

/*
 * @author ZZQ
 * @Date 2022/11/29 2:55 下午
 */
public class MapOf implements Serializable {

    public static <K> HashMap of(K... key){
        HashMap map = new HashMap<>();
        for (int i = 0; i < (key.length & ~1); i=i+2) {
            map.put(key[i],key[i+1]);
        }
        return map;
    }
}
